/**
 * Forces the active chat to scroll down when the tab is focused again.
 */
converse.plugins.add('sib-scroll-down-on-focus', {
  initialize() {
    const _converse = this._converse;
    const { api } = _converse;

    api.listen.on('windowStateChanged', async data => {
      if (data.state === 'visible' && api.connection.connected()) {
        const chatBox = _converse.chatboxes.findWhere({ hidden: false });
        const chatView = _converse.chatboxviews.get(chatBox?.get('jid'));
        chatView?.scrollDown();
      }
    });
  },
});
